Bug 25447 - Terminology: Fix button text "Edit biblio"
Summary: Terminology: Fix button text "Edit biblio"
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 19833
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-10 11:56 UTC by Katrin Fischer
Modified: 2020-07-23 20:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This updates the text on the cataloging main page so that in the menu for each search result the "Edit biblio" link is now "Edit record."
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25447: Terminology: Fix button text "Edit biblio" (2.23 KB, patch)
2020-05-11 19:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25447: Terminology: Fix button text "Edit biblio" (2.28 KB, patch)
2020-05-12 20:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 25447: Terminology: Fix button text "Edit biblio" (2.33 KB, patch)
2020-05-22 23:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-10 11:56:44 UTC
A while ago bug 19833 fixed a lost of templates to avoid the use of the non-standard term "biblio". I found a new/missed one:


koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/addbooks.tt:                                                    <li><a href="/cgi-bin/koha/cataloguing/addbiblio.pl?biblionumber=[% resultsloo.biblionumber | uri %]"><i class="fa fa-pencil"></i> Edit biblio</a></li>


To see:
- Go to the cataloguing module
- Search using the cataloguing search
- Look at the Actions menu
- Verify the "Edit biblio" appears as a menu item
Comment 1 Owen Leonard 2020-05-11 19:29:41 UTC
Created attachment 104714 [details] [review]
Bug 25447: Terminology: Fix button text "Edit biblio"

This patch changes the cataloging main page so that in the menu for
reach search result the "Edit biblio" link is now "Edit record."

To test, apply the patch and do a search in cataloging. In the list of
search results verify that the "Actions" menu contains a link labeled
"Edit record."
Comment 2 David Nind 2020-05-12 11:24:58 UTC
I am having trouble working out where this appears!

I can't find "Edit biblio" anywhere on the staff interface... On the search results list there is a list of options on the far right for a record (Holds(0) | Add to cart | Edit record | Edit items | OPAC view).

Is there a system preferences that needs enabling?
Comment 3 Katrin Fischer 2020-05-12 12:12:16 UTC
Hi David, you need to go to search in the cataloguing module, not catalog, I think that's the catch. The result list there is totally different.
Comment 4 David Nind 2020-05-12 20:09:37 UTC
(In reply to Katrin Fischer from comment #3)
> Hi David, you need to go to search in the cataloguing module, not catalog, I
> think that's the catch. The result list there is totally different.

Thanks Katrin! I've found it now - so used to clicking on the 'Search the catalog' tab under the search box.
Comment 5 David Nind 2020-05-12 20:10:26 UTC
Created attachment 104801 [details] [review]
Bug 25447: Terminology: Fix button text "Edit biblio"

This patch changes the cataloging main page so that in the menu for
reach search result the "Edit biblio" link is now "Edit record."

To test, apply the patch and do a search in cataloging. In the list of
search results verify that the "Actions" menu contains a link labeled
"Edit record."

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2020-05-22 23:08:34 UTC
Created attachment 105293 [details] [review]
Bug 25447: Terminology: Fix button text "Edit biblio"

This patch changes the cataloging main page so that in the menu for
reach search result the "Edit biblio" link is now "Edit record."

To test, apply the patch and do a search in cataloging. In the list of
search results verify that the "Actions" menu contains a link labeled
"Edit record."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-06-15 09:31:26 UTC
Why not "bibliographic record"?
Comment 8 Katrin Fischer 2020-06-15 10:56:42 UTC
I think we use both in Koha and in this context record is clear and a bit shorter.
Comment 9 Jonathan Druart 2020-06-18 14:59:53 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-07-10 15:16:57 UTC
backported to 20.05.x for 20.05.02
Comment 11 Aleisha Amohia 2020-07-12 22:00:59 UTC
Backported to 19.11.x for 19.11.08
Comment 12 Victor Grousset/tuxayo 2020-07-23 20:21:04 UTC
Backported to 19.05.x branch for 19.05.14